RagTime5GraphInternal::ButtonCParser Struct Reference documentation

Public Types | Public Member Functions | Protected Attributes | List of all members
RagTime5GraphInternal::ButtonCParser Struct Referencefinal

low level: parser of script cluster : zone 2,a,4002,400a More...

Inheritance diagram for RagTime5GraphInternal::ButtonCParser:

## Public Types
enum | { F_nextId , F_formula , F_formulaRoot , F_name , F_parentList , F_itemNames , F_buttonList }

## Public Member Functions
| ButtonCParser (RagTime5ClusterManager &parser, int type)
| constructor More...
| ~ButtonCParser () final
| destructor More...
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster More...
std::shared_ptr< RagTime5GraphInternal::ClusterButton > | getButtonCluster ()
| return the button cluster More...
void | setExpectedType (int id, int type)
| set a data id type More...
int | getNewZoneToParse () final
| returns to new zone to parse. More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field More...
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone More...
void | endZone () final
| end of a start zone call More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::shared_ptr< Cluster > | getCluster ()=0
| return the current cluster More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual bool | parseZone (MWAWInputStreamPtr &, long, int, int, libmwaw::DebugStream &)
| parse a zone More...
virtual void | endZone ()
| end of a start zone call More...
virtual bool | parseField (RagTime5StructManager::Field const &, int, libmwaw::DebugStream &)
| parse a the data of a zone, n_dataId:m More...
virtual int | getNewZoneToParse ()
| returns to new zone to parse. More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Attributes
std::shared_ptr< RagTime5GraphInternal::ClusterButton > | m_cluster
| the current cluster More...
std::string | m_fieldName
| the actual field name More...
std::map< int, int > | m_expectedIdToType
| the expected id More...
std::stack< int > | m_idStack
| the id stack More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

low level: parser of script cluster : zone 2,a,4002,400a

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
F_nextId |
F_formula |
F_formulaRoot |
F_name |
F_parentList |
F_itemNames |
F_buttonList |

## Constructor & Destructor Documentation

## ◆ ButtonCParser()

RagTime5GraphInternal::ButtonCParser::ButtonCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type
| ) |  |
| inline

constructor

## ◆ ~ButtonCParser()

RagTime5GraphInternal::ButtonCParser::~ButtonCParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ endZone()

void RagTime5GraphInternal::ButtonCParser::endZone | ( |  | ) |
| inlinefinalvirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getButtonCluster()

std::shared_ptr< RagTime5GraphInternal::ClusterButton > RagTime5GraphInternal::ButtonCParser::getButtonCluster | ( |  | ) |
| inline

return the button cluster

Referenced by RagTime5Graph::readButtonCluster().

## ◆ getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5GraphInternal::ButtonCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

## ◆ getNewZoneToParse()

int RagTime5GraphInternal::ButtonCParser::getNewZoneToParse | ( |  | ) |
| inlinefinalvirtual

returns to new zone to parse.

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseField()

bool RagTime5GraphInternal::ButtonCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseHeaderZone()

bool RagTime5GraphInternal::ButtonCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline

parse the header zone

Referenced by parseZone().

## ◆ parseZone()

bool RagTime5GraphInternal::ButtonCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ setExpectedType()

void RagTime5GraphInternal::ButtonCParser::setExpectedType | ( | int | id,
|  | int | type
| ) |  |
| inline

set a data id type

Referenced by parseField(), parseHeaderZone(), and parseZone().

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<RagTime5GraphInternal::ClusterButton> RagTime5GraphInternal::ButtonCParser::m_cluster
| protected

the current cluster

Referenced by ButtonCParser(), endZone(), getButtonCluster(), getCluster(), parseField(), and parseHeaderZone().

## ◆ m_expectedIdToType

std::map<int,int> RagTime5GraphInternal::ButtonCParser::m_expectedIdToType
| protected

the expected id

Referenced by endZone(), parseField(), parseZone(), and setExpectedType().

## ◆ m_fieldName

std::string RagTime5GraphInternal::ButtonCParser::m_fieldName
| protected

the actual field name

Referenced by parseField(), parseHeaderZone(), and parseZone().

## ◆ m_idStack

std::stack<int> RagTime5GraphInternal::ButtonCParser::m_idStack
| protected

the id stack

Referenced by getNewZoneToParse(), and setExpectedType().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx